## xlnx-platformstats 1.1

=== src/Makefile ===
.PHONY:	clean

CC ?=  gcc
CP = cp
INSTALL_PROGRAM ?= install
CFLAGS 	+= -Wall
LDFLAGS += -shared

libdir ?= /usr/lib
includedir ?= /usr/include

SOURCES = $(shell echo *.c)
HEADERS = $(shell echo *.h)
OBJECTS = $(SOURCES:.c=.o)
INCLUDEDIR = ../include
MAJOR = 1
MINOR = 1
VERSION = $(MAJOR).$(MINOR)
NAME := xlnx_platformstats

all: include lib$(NAME).so

install: all
	$(INSTALL_PROGRAM) -D -m 644 xlnx_platformstats.h  $(DESTDIR)$(includedir)/xlnx_platformstats.h
	$(INSTALL_PROGRAM) -D -m 644 lib$(NAME).so.$(VERSION) $(DESTDIR)$(libdir)/lib$(NAME).so.$(VERSION)
	$(CP) -d lib$(NAME).so.$(MAJOR) lib$(NAME).so $(DESTDIR)$(libdir)/

clean:
	rm -f $(OBJECTS) *.so *.so.*
	rm -rf $(INCLUDEDIR)

include:
	mkdir $(INCLUDEDIR)/xlnx_platformstats -p
	$(CP) $(HEADERS) $(INCLUDEDIR)/xlnx_platformstats

lib$(NAME).so.$(VERSION): $(OBJECTS)
	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION)

lib$(NAME).so: lib$(NAME).so.$(VERSION)
	rm -f lib$(NAME).so.$(MAJOR) lib$(NAME).so
	ln -s lib$(NAME).so.$(VERSION) lib$(NAME).so.$(MAJOR)
	ln -s lib$(NAME).so.$(MAJOR) lib$(NAME).so

%.o: %.c include
	$(CC) $(CFLAGS) -I$(INCLUDEDIR) -I$(INCLUDEDIR)/xlnx_platformstats -c -fPIC $< -o $@

=== debian/changelog ===
xlnx-platformstats (1:1.1-0ubuntu1~xlnx01) noble; urgency=medium

  * Promote to noble
    - Epoch versioning is used here because there are existing
      optimized Ubuntu images published with old versioning
      scheme used by upstream.
    - Package divided into 4 packages
      + python3-xlnx-platformstats
      + libxlnx-platformstats1
      + libxlnx-platformstats-dev
      + xlnx-platformstats

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 01 Feb 2024 11:07:27 +0100

xlnx-platformstats (1:1.1) jammy; urgency=medium

  * Update versioning scheme of the package to sync with upstream

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 05 Dec 2023 10:27:43 +0100

xlnx-platformstats (2023.1+9b4327f-0ubuntu1) jammy; urgency=medium

  * Update to upstream version 2023.1 SHA 9b4327f

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 05 Jul 2023 19:24:26 +0000

xlnx-platformstats (2022.1+20220923+2b91c81-0ubuntu0xlnx1) jammy; urgency=medium

  * Update to upstream SHA 2b91c81

 -- Hon Ming Hui <honming.hui@canonical.com>  Fri, 23 Sep 2022 02:32:28 +0100

xlnx-platformstats (2022.1+20220914+75ca94a-0ubuntu0xlnx1) jammy; urgency=medium

  * New package from upstream after the rename from platformstats to
    xlnx_platformstats

 -- Hon Ming Hui <honming.hui@canonical.com>  Wed, 14 Sep 2022 12:51:32 +0100

=== debian/control ===
Source: xlnx-platformstats
Standards-Version: 4.6.2
Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
Priority: optional
Section: utils
Testsuite: autopkgtest-pkg-python
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               doxygen,
               python3-all-dev,
               swig

Package: libxlnx-platformstats-dev
Architecture: arm64
Depends: libxlnx-platformstats1 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Platform Statistcs for AMD-Xilinx boards - development files
 This provides required header files to use the utility
 from the a client application.
 .
 This package contains development files.

Package: libxlnx-platformstats1
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Breaks: xlnx-platformstats (<< 1:1.1)
Replaces: xlnx-platformstats (<< 1:1.1)
Description: Platform Statistcs for AMD-Xilinx boards - shared library
 This provides a shared library which can be used to create custom
 solutions around xlnx-platformstats.
 .
 This package provides so files for library.

Package: python3-xlnx-platformstats
Architecture: arm64
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Section: python
Description: Platform Statistcs for AMD-Xilinx boards - Python bindings
 Python bindings of the package allows user to use the functionalities
 provided by xlnx-platformstats in Python applications.
 .
 This package provides Python interface for library.

Package: xlnx-platformstats
Architecture: arm64
Depends: libxlnx-platformstats1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Platform Statistcs for AMD-Xilinx boards - binary
 Gives access to status data of the board. This data
 includes CPU load, temperature values from various peripherals
 power utilization information etc.
 .
 This package provides xlnx_platformstats binary utility.

## xlnx-platformstats 1.2

=== Makefile ===
.PHONY:	default all clean install

libdir ?= /usr/lib

default all:
	# TODO lib needs to be built first to create include dir; this should be an explicit dep
	$(MAKE) -C src
	$(MAKE) -C app
	$(MAKE) -C python-bindings

clean:
	$(MAKE) -C src $@
	$(MAKE) -C app $@
	$(MAKE) -C python-bindings $@

install: all
	$(MAKE) -C src $@
	$(MAKE) -C app $@
	$(MAKE) -C python-bindings $@

=== app/Makefile ===
.PHONY:	clean all build install

CC ?=  gcc
INSTALL_PROGRAM ?= install
CFLAGS ?= -Wall -Wextra
LDFLAGS ?= 
LIBDIR = ../src
INCLUDEDIR = ../include/xlnx_platformstats
SOURCES = main.c
APPS = xlnx_platformstats
APPSTMPS = main.out

bindir ?= /usr/bin

all: build

build: $(APPSTMPS)

install: $(APPSTMPS)
	$(INSTALL_PROGRAM) -D -m 755 xlnx_platformstats $(DESTDIR)$(bindir)/xlnx_platformstats

%.out: %.o
	$(CC) $(LDFLAGS) -o xlnx_platformstats main.o -L$(LIBDIR) -lxlnx_platformstats

%.o: %.c
	$(CC) -I$(INCLUDEDIR) $(CFLAGS) -c main.c -o main.o

clean:
	rm -f $(APPS) *.o

=== python-bindings/Makefile ===
.PHONY:	clean all install

#Dynamic loading for C
CC ?= gcc
INSTALL_PROGRAM ?= install
CFLAGS += -fPIC -Wall -Wextra
LDFLAGS += -shared -L../src -L.
LDLIBS += -lxlnx_platformstats -lpython$(PYTHON_BASEVERSION)
INCLUDE_DIR = ../include/xlnx_platformstats

incdir ?= /usr/include
libdir ?= /usr/lib

#Python
PYTHON_BASEVERSION ?= 3.10
PYTHON_DIR ?= python${PYTHON_BASEVERSION}
PYTHON_INCLUDE_DIR ?= ${incdir}/$(PYTHON_DIR)
PYTHON_SITEPACKAGES_DIR ?= ${libdir}/$(PYTHON_DIR)

#Swig
SWIG ?= swig
SWIGOPT ?=
IWRAP      = $(INTERFACE:.i=_wrap.i)
ISRCS      = $(IWRAP:.i=.c)
IOBJS      = $(IWRAP:.i=.o)

INTERFACE = xlnx_platformstats_bindings.i
PYBIND_LIB ?= _xlnx_platformstats.so

all: $(PYBIND_LIB)

$(ISRCS): $(INTERFACE)
	$(SWIG) -python $<

$(PYBIND_LIB): $(ISRCS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(ISRCS) -o $(PYBIND_LIB) $(LDLIBS) -I$(INCLUDE_DIR) -I$(PYTHON_INCLUDE_DIR)

clean:
	rm -f *.o *.so* *_wrap* *.pyc *.py __pycache__  xlnx_platformstats

install: $(PYBIND_LIB)
	$(INSTALL_PROGRAM) -d $(DESTDIR)${PYTHON_SITEPACKAGES_DIR}/xlnx_platformstats
	$(INSTALL_PROGRAM) -m 0644 xlnx_platformstats.py $(DESTDIR)${PYTHON_SITEPACKAGES_DIR}/xlnx_platformstats
	$(INSTALL_PROGRAM) -m 0644 _xlnx_platformstats.so $(DESTDIR)${PYTHON_SITEPACKAGES_DIR}/xlnx_platformstats

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 OBJECTS = $(SOURCES:.c=.o)
 INCLUDEDIR = ../include
 MAJOR = 1
-MINOR = 1
+MINOR = 2
 VERSION = $(MAJOR).$(MINOR)
 NAME := xlnx_platformstats
 
@@ -34,7 +34,7 @@
 	$(CP) $(HEADERS) $(INCLUDEDIR)/xlnx_platformstats
 
 lib$(NAME).so.$(VERSION): $(OBJECTS)
-	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION)
+	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION) -lfreeipmi
 
 lib$(NAME).so: lib$(NAME).so.$(VERSION)
 	rm -f lib$(NAME).so.$(MAJOR) lib$(NAME).so

=== debian/changelog ===
xlnx-platformstats (1:1.2-0ubuntu7) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:21:09 +0000

xlnx-platformstats (1:1.2-0ubuntu6) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:57:03 +0100

xlnx-platformstats (1:1.2-0ubuntu5) oracular; urgency=medium

  [ Talha Can Havadar ]
  * Initial upload to Ubuntu archive (LP: #2042849)
    - Epoch versioning is used here because there are existing
      optimized Ubuntu images published with old versioning
      scheme used by upstream.
  * d/gbp.conf: update from ubuntu/noble to ubuntu/oracular

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 28 May 2024 13:18:48 +0200

xlnx-platformstats (1:1.2-0ubuntu4) noble; urgency=medium

  * d/gbp.conf: add gbp.conf file ubuntu/noble

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 28 May 2024 12:51:01 +0200

xlnx-platformstats (1:1.2-0ubuntu3) noble; urgency=medium

  * add Homepage and Rules-Requires-Root fields to d/control
  * add new symbols to libxlnx-platformstats1.symbols

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 27 Mar 2024 12:45:28 +0100

xlnx-platformstats (1:1.2-0ubuntu2) noble; urgency=medium

  * add libfreeipmi-dev into Build-Depends in d/control

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 26 Mar 2024 18:21:23 +0100

xlnx-platformstats (1:1.2-0ubuntu1) noble; urgency=medium

  [ Vishal Patel ]
  * Initialize fp_out for python bindings
  * Add check for KV/KR/KD carrier card
  * Fix build warnings
  * Update version to 1.2

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 26 Mar 2024 14:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,11 @@
                dh-exec,
                dh-python,
                doxygen,
+               libfreeipmi-dev,
                python3-all-dev,
                swig
+Rules-Requires-Root: no
+Homepage: https://github.com/Xilinx/xlnx_platformstats
 
 Package: libxlnx-platformstats-dev
 Architecture: arm64

## xlnx-platformstats 1.3

=== python-bindings/Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 libdir ?= /usr/lib
 
 #Python
-PYTHON_BASEVERSION ?= 3.10
+PYVER := $(subst ., ,$(shell python3 --version 2>&1))
+PYTHON_BASEVERSION ?= $(word 2,${PYVER}).$(word 3,${PYVER})
 PYTHON_DIR ?= python${PYTHON_BASEVERSION}
 PYTHON_INCLUDE_DIR ?= ${incdir}/$(PYTHON_DIR)
 PYTHON_SITEPACKAGES_DIR ?= ${libdir}/$(PYTHON_DIR)

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 OBJECTS = $(SOURCES:.c=.o)
 INCLUDEDIR = ../include
 MAJOR = 1
-MINOR = 2
+MINOR = 3
 VERSION = $(MAJOR).$(MINOR)
 NAME := xlnx_platformstats

=== debian/changelog ===
xlnx-platformstats (1:1.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:27:07 +0000

xlnx-platformstats (1:1.3-0ubuntu1) questing; urgency=medium

  * New upstream version 1.3 (LP: #2111418)
  * d/gbp.conf: remove debian branch config in ubuntu/devel
  * d/control: update Standards-Version to 4.7.2

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 21 May 2025 07:12:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xlnx-platformstats
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
 Priority: optional
 Section: utils

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# installation directory for python package is incorrect
# so we need to override it to place the files into correct location
export PYBUILD_SYSTEM = custom
export PYBUILD_BUILD_ARGS = PYTHON_BASEVERSION={version} make
export PYBUILD_CLEAN_ARGS = $(PYBUILD_BUILD_ARGS) clean
export PYBUILD_INSTALL_ARGS = $(PYBUILD_BUILD_ARGS) install DESTDIR={destdir} PYTHON_SITEPACKAGES_DIR={install_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xlnx-platformstats-$1\.tar\.gz/" \
  https://github.com/Xilinx/xlnx_platformstats/tags \
  .*/v@ANY_VERSION@@ARCHIVE_EXT@ \
  debian

## xlnx-platformstats 2022.1+20220923+2b91c81

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 OBJECTS = $(SOURCES:.c=.o)
 INCLUDEDIR = ../include
 MAJOR = 1
-MINOR = 3
+MINOR = 0
 VERSION = $(MAJOR).$(MINOR)
 NAME := xlnx_platformstats
 
@@ -34,7 +34,7 @@
 	$(CP) $(HEADERS) $(INCLUDEDIR)/xlnx_platformstats
 
 lib$(NAME).so.$(VERSION): $(OBJECTS)
-	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION) -lfreeipmi
+	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION)
 
 lib$(NAME).so: lib$(NAME).so.$(VERSION)
 	rm -f lib$(NAME).so.$(MAJOR) lib$(NAME).so

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/xilinx_v?(\d\S+)\.tar\.gz/xlnx-platformstats-$1\.tar\.gz/" \
  https://github.com/Xilinx/xlnx_platformstats/tags \
  .*/xilinx_v@ANY_VERSION@@ARCHIVE_EXT@ \
  debian

## xlnx-platformstats 2023.1+9b4327f

=== debian/control ===
Source: xlnx-platformstats
Standards-Version: 4.6.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Priority: optional
Section: utils
Build-Depends: cmake, debhelper-compat (= 13), swig, python3-dev

Package: xlnx-platformstats
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro
Description: Provides APIs to print Xilinx platform statistics.
 This library is used together with xmutil
